=== debian/changelog ===
toml11 (3.7.0-2) unstable; urgency=medium

  * Team upload.

  [ Lance Lin ]
  * Added autopkgtest files

  [ Andreas Tille ]
  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Wed, 16 Feb 2022 12:16:46 +0100

toml11 (3.7.0-1) unstable; urgency=low

  * Initial release. Closes: #1004498

 -- Lance Lin <lqi254@protonmail.com>  Thu, 03 Feb 2022 20:22:26 +0700
