=== debian/control ===
Source: toml11
Section: libdevel
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Lance Lin <lqi254@protonmail.com>
Build-Depends: cmake, debhelper-compat (= 13)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/toml11
Vcs-Git: https://salsa.debian.org/med-team/toml11.git
Homepage: https://github.com/ToruNiina/toml11
Rules-Requires-Root: no

Package: libtoml11-dev
Architecture: all
Depends: ${misc:Depends}
Description: TOML parser/encoder
 toml11:
 It is compatible to the latest version of TOML v1.0.0.
 It is one of the most TOML standard compliant libraries, tested with the
 language agnostic test suite for TOML parsers by BurntSushi.
 It shows highly informative error messages. You can see the error messages
 about invalid files at CircleCI.
 It has configurable container. You can use any random-access containers
 and key-value maps as backend containers.
 It optionally preserves comments without any overhead.
 It has configurable serializer that supports comments, inline tables,
 literal strings and multiline strings.
 It supports user-defined type conversion from/into toml values.
 It correctly handles UTF-8 sequences, with or without BOM,
 both on posix and Windows.
 .
 This package contains the development header files.
