=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	mkdir -p debian/`dh_listpackages`/usr/share/cmake
	mv debian/`dh_listpackages`/usr/lib/*/cmake/* debian/`dh_listpackages`/usr/share/cmake
	rm -rf debian/`dh_listpackages`/usr/lib
