=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/toml11-$1\.tar\.gz/ \
  https://github.com/ToruNiina/toml11/tags .*/v?(\d\S+)\.tar\.gz
