=== debian/changelog ===
toml11 (3.7.1-3) unstable; urgency=medium

  [ Adrian Bunk ]
  * autopkgtest: Disable -Werror and run tests on all architectures

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 06:58:04 +0200

toml11 (3.7.1-2) unstable; urgency=medium

  * Team upload

  [ Adrian Bunk ]
  * Install the cmake files to the correct location, instead of moving the
    installed files

  [ Andreas Tille ]
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 12:39:00 +0200

toml11 (3.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Skip autopkgtest for Architectures armhf and i386

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2022 10:15:52 +0200
