=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Lance Lin <lqi254@protonmail.com>
 Build-Depends: cmake, debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/toml11
 Vcs-Git: https://salsa.debian.org/med-team/toml11.git
 Homepage: https://github.com/ToruNiina/toml11
@@ -13,6 +13,7 @@
 Package: libtoml11-dev
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: TOML parser/encoder
  toml11:
  It is compatible to the latest version of TOML v1.0.0.
