## toml11 3.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,23 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.5)
 enable_testing()
 
-project(toml11 VERSION 3.7.1)
+project(toml11 VERSION 3.8.1)
 
 option(toml11_BUILD_TEST "Build toml tests" OFF)
 option(toml11_INSTALL "Install CMake targets during install step." ON)
 option(toml11_TEST_WITH_ASAN  "use LLVM address sanitizer" OFF)
 option(toml11_TEST_WITH_UBSAN "use LLVM undefined behavior sanitizer" OFF)
 
+option(TOML11_USE_UNRELEASED_TOML_FEATURES
+    "use features in toml-lang/toml master while testing" OFF)
+
 include(CheckCXXCompilerFlag)
 if("${CMAKE_VERSION}" VERSION_GREATER 3.1)
     set(CMAKE_CXX_EXTENSIONS OFF CACHE BOOL "Boolean specifying whether compiler specific extensions are requested.")
     if(NOT DEFINED CMAKE_CXX_STANDARD)
-        set(CMAKE_CXX_STANDARD 11 CACHE STRING "The C++ standard whose features are requested to build all targets.")
+        message(FATAL_ERROR "CMAKE_CXX_STANDARD is not defined. \
+The C++ standard whose features are requested to *build* all targets. \
+Remember that toml11 is a header only library that does NOT require compilation to use.")
     endif()
     set(CMAKE_CXX_STANDARD_REQUIRED ON CACHE BOOL "Boolean describing whether the value of CXX_STANDARD is a requirement.")
 else()
