=== debian/changelog ===
toml11 (3.8.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * d/control: Update Uploaders email
  * d/rules: Set CMAKE_CXX_STANDARD for configuration
  * d/patches: Set Forwarded field for cmake-install.patch
  * d/tests/run-unit-test: Set CMAKE_CXX_STANDARD for configuration
  * d/copyright: Update copyright year and email for debian files

 -- Lance Lin <lq27267@gmail.com>  Fri, 12 Jan 2024 21:59:12 +0700
