=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libdevel
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Lance Lin <lqi254@protonmail.com>
+Uploaders: Lance Lin <lq27267@gmail.com>
 Build-Depends: cmake, debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/toml11
 Vcs-Git: https://salsa.debian.org/med-team/toml11.git
 Homepage: https://github.com/ToruNiina/toml11
