=== debian/tests/control ===
Tests: run-unit-test
Depends: @, cmake, build-essential, git, libboost-test-dev
Restrictions: allow-stderr
